Bug 965000 - please remove +x bit from systemd unit file
please remove +x bit from systemd unit file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On: 963917
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 05:30 EDT by Paolo Bonzini
Modified: 2014-06-17 23:28 EDT (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 963917
Environment:
Last Closed: 2014-06-13 06:35:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-05-20 05:30:44 EDT
+++ This bug was initially created as a clone of Bug #963917 +++

The unit file is not executable, and should not be marked +x. C.f. https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions.

-rwxr-xr-x. 1 root root 270 Apr 20 20:16 /usr/lib/systemd/system/ksm.service
-rwxr-xr-x. 1 root root 229 Apr 20 20:16 /lib/systemd/system/ksmtuned.service

qemu-common-1.4.1-1.fc19.x86_64
Comment 2 Miroslav Rezanina 2013-05-24 06:20:16 EDT
Fixed in qemu-kvm-1.5.0-2.el7
Comment 4 Shaolong Hu 2014-01-24 00:26:23 EST
Verified on qemu-kvm-rhev-1.5.3-39.el7.x86_64:

-rw-r--r--. 1 root root 229 Jan 21 17:33 /lib/systemd/system/ksmtuned.service
-rw-r--r--. 1 root root 270 Jan 21 17:33 /usr/lib/systemd/system/ksm.service
Comment 5 Ludek Smid 2014-06-13 06:35:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.